## NMDeviceHsr NMDeviceHsr |

## Functions

NMDevice * | nm_device_hsr_get_port1 ()
NMDevice * | nm_device_hsr_get_port2 ()
const char * | nm_device_hsr_get_supervision_address ()
guint8 | nm_device_hsr_get_multicast_spec ()
gboolean | nm_device_hsr_get_prp ()

## Properties

guchar | multicast-spec | Read
NMDevice * | port1 | Read
NMDevice * | port2 | Read
gboolean | prp | Read
char * | supervision-address | Read

## Types and Values

#define | NM_DEVICE_HSR_PORT1
#define | NM_DEVICE_HSR_PORT2
#define | NM_DEVICE_HSR_SUPERVISION_ADDRESS
#define | NM_DEVICE_HSR_MULTICAST_SPEC
#define | NM_DEVICE_HSR_PRP
| NMDeviceHsr

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceHsr

## Description

## Functions

### nm_device_hsr_get_port1 ()

    NMDevice *
    nm_device_hsr_get_port1 (NMDeviceHsr *device);

#### Parameters

device | a NMDeviceHsr |

#### Returns

the device's port1 device.

[transfer none]

Since: 1.46

### nm_device_hsr_get_port2 ()

    NMDevice *
    nm_device_hsr_get_port2 (NMDeviceHsr *device);

#### Parameters

device | a NMDeviceHsr |

#### Returns

the device's port2 device.

[transfer none]

Since: 1.46

### nm_device_hsr_get_supervision_address ()

    const char *
    nm_device_hsr_get_supervision_address (NMDeviceHsr *device);

#### Parameters

device | a NMDeviceHsr |

#### Returns

the supervision MAC adddress

Since: 1.46

### nm_device_hsr_get_multicast_spec ()

    guint8
    nm_device_hsr_get_multicast_spec (NMDeviceHsr *device);

#### Parameters

device | a NMDeviceHsr |

#### Returns

the last byte of the supervision address

Since: 1.46

### nm_device_hsr_get_prp ()

    gboolean
    nm_device_hsr_get_prp (NMDeviceHsr *device);

#### Parameters

device | a NMDeviceHsr |

#### Returns

whether PRP protocol is used or not

Since: 1.46

## Types and Values

### NM_DEVICE_HSR_PORT1

    #define NM_DEVICE_HSR_PORT1               "port1"

### NM_DEVICE_HSR_PORT2

    #define NM_DEVICE_HSR_PORT2               "port2"

### NM_DEVICE_HSR_SUPERVISION_ADDRESS

    #define NM_DEVICE_HSR_SUPERVISION_ADDRESS "supervision-address"

### NM_DEVICE_HSR_MULTICAST_SPEC

    #define NM_DEVICE_HSR_MULTICAST_SPEC      "multicast-spec"

### NM_DEVICE_HSR_PRP

    #define NM_DEVICE_HSR_PRP                 "prp"

### NMDeviceHsr

    typedef struct _NMDeviceHsr NMDeviceHsr;

Since: 1.46

## Property Details

### The `“multicast-spec”` property

      “multicast-spec”           guchar

The device last byte of the supervision address.

Owner: NMDeviceHsr

Flags: Read

Default value: 0

Since: 1.46

### The `“port1”` property

      “port1”                    NMDevice *

The device's port1 device.

Owner: NMDeviceHsr

Flags: Read

Since: 1.46

### The `“port2”` property

      “port2”                    NMDevice *

The device's port2 device.

Owner: NMDeviceHsr

Flags: Read

Since: 1.46

### The `“prp”` property

      “prp”                      gboolean

Whether the PRP protocol is used or not.

Owner: NMDeviceHsr

Flags: Read

Default value: FALSE

Since: 1.46

### The `“supervision-address”` property

      “supervision-address”      char *

The device supervision MAC adddress.

Owner: NMDeviceHsr

Flags: Read

Default value: NULL

Since: 1.46